
Redmine - Defect #1740

Actually block issues from closing when relation 'blocked by' isn't closed

2008-08-04 03:02 - Mischa The Evil

Status: Closed Start date: 2008-08-04

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 50%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

In r506 issue relations are introduced. In the initial commit four relations are defined:

1. related to

2. duplicates

3. blocks

4. precedes

As far as I can trace the first (related to) and the fourth (precedes) are implemented in r506 already. The second (duplicates) is

implemented in r663 and fixed in r1162, r1183 and r1488.

It seems to me (after trying the demo and my checkout of the latest trunk) that the third relation (blocks) isn't implemented at all after 

r506. I guess this should behave like described in the commit-message of r506:

blocks: will require to close the blocking issue before closing the blocked issue

Related issues:

Related to Redmine - Patch #2132: Patch to prevent blocked issues from being ... Closed 2008-11-04

Related to Redmine - Feature #1755: add "blocked by" as a related issues option Closed 2008-08-06

Related to Redmine - Feature #3364: Blocked or Following Issues New 2009-05-15

Related to Redmine - Feature #279: issue dependencies Closed

Has duplicate Redmine - Defect #2888: "blocks" has not implemented. Closed 2009-03-03

Precedes Redmine - Feature #12355: Being able to close blocking and blocked i... Confirmed 2008-08-05 2008-08-05

Associated revisions

Revision 2800 - 2009-07-04 14:07 - Jean-Philippe Lang

Actually block issues from closing when a blocking issue isn't closed (#1740).

History

#1 - 2008-08-23 16:31 - Jim Jones

+1

#2 - 2008-11-07 18:04 - Steven Chanin

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

See #2132 for a patch to address this

#3 - 2009-04-01 17:40 - Marcos Vinícius Souza

Another relation to add:

- belongs to

With this relation, we could make a hierarchy between tickets. In addition, the root ticket could summarize the effort from the child tickets.

#4 - 2009-04-03 12:41 - Mischa The Evil

Marcos Vinícius Souza wrote:
Another relation to add:

- belongs to

With this relation, we could make a hierarchy between tickets. In addition, the root ticket could summarize the effort from the child tickets.

 Marcos, your comment does not relate to this issue's subject at all. Your talking about a subject which is discussed on issue #443. If not: then you

should open a new issue for your request yourself... :-)

#5 - 2009-04-03 12:47 - Mischa The Evil

- Status changed from Resolved to 7

- Priority changed from High to Normal

- % Done changed from 0 to 50

- Estimated time deleted (1.00 h)

Corrected fields before tracker-change from feature to defect.

#6 - 2009-04-03 12:47 - Mischa The Evil

- Tracker changed from Feature to Defect

#7 - 2009-04-03 12:54 - Mischa The Evil

@Jean-Philippe,

I've changed the tracker since this is a feature which is documented as already implemented but it is in-fact not implemented yet.

Patch #2132 implements a fix to adress this issue in a way that if an issue is blocked by another issue, then the available statuses only include

statuses that does not have the closed status-attribute set (e.g. New, Assigned, Resolved, Feedback). It also includes updates for the unit tests and

fixtures...

#8 - 2009-07-04 14:07 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fix committed in r2800.

#9 - 2009-07-05 23:43 - Mischa The Evil

Jean-Philippe Lang wrote:

Fix committed in r2800.

 Great... Thanks!
